|  | reflex::Input::Handler Struct Reference updated Fri May 16 2025 by Robert van Engelen |

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
reflex::Input::Handler Struct Referenceabstract

FILE* handler functor base class to analyze FILE* input, handle errors and non-blocking FILE* reads. More...

`#include <input.h>`

## Public Member Functions
virtual size_t | operator() (FILE *file, char *buf, size_t len)=0
virtual | ~Handler ()

## Detailed Description

FILE* handler functor base class to analyze FILE* input, handle errors and non-blocking FILE* reads.

## Constructor & Destructor Documentation

virtual reflex::Input::Handler::~Handler | ( |  | ) |
| inline virtual

## Member Function Documentation

virtual size_t reflex::Input::Handler::operator() | ( | FILE * | file,
|  | char * | buf,
|  | size_t | len
| ) |  |
| pure virtual

Parameters

  file | open file
  buf | pointer to buffer with data read from file, may be changed by handler
  len | length of the buffered data, should be returned by the functor, or shorter to ignore or zero to force EOF and stop reading

The documentation for this struct was generated from the following file:

- input.h